//dll:System.dll
//dll:ZrProcessInterface.dll
//dll:ZrCHKFormBase.dll
//dll:System.Windows.Forms.dll

//2019年4月23日 14:45:05 郑少宝 针对精正的
using ZrCHKFormBase;
using System.Windows.Forms;

namespace CHK_BetonPress
{
    public class TrustBeforeSave
    {
        /// <summary>
        /// 保存前验证数据
        /// </summary>
        /// <returns></returns>
        public string IsCanSave(Control parnet, SaveTypeEnum saveType)
        {
            if (saveType == ZrCHKFormBase.SaveTypeEnum.Insert)
            {
                var cmb养护方法s = parnet.Controls.Find("cmb养护方法", true);
                if (cmb养护方法s == null || cmb养护方法s.Length == 0)
                    return null;
                var dtp成型日期s = parnet.Controls.Find("dtp成型日期", true);
                if (dtp成型日期s == null || dtp成型日期s.Length == 0)
                    return null;
                ComboBox cmb养护方法 = cmb养护方法s[0] as ComboBox;
                DateTimePicker dtp成型日期 = dtp成型日期s[0] as DateTimePicker;
                if (cmb养护方法 == null || dtp成型日期 == null)
                    return null;
                if (cmb养护方法.Text == "标准养护")
                {
                    int ageday = (System.DateTime.Now.Date - dtp成型日期.Value.Date).Days;
                    if (ageday < 28 || ageday > 35)
                    {
                        return string.Format("当前龄期为：{0}，根据设定，标准养护 龄期小于28天或者大于35天，不允许委托保存。", ageday);
                    }
                }
                else if (cmb养护方法.Text == "同条件养护")
                {
                    int ageday = (System.DateTime.Now.Date - dtp成型日期.Value.Date).Days;
                    if (ageday < 7 || ageday > 60)
                    {
                        return string.Format("当前龄期为：{0}，根据设定，同条件养护 龄期小于7天或者大于60天，不允许委托保存。", ageday);
                    }
                }
            }
            return null;
        }
    }
}
